Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.cert
Class CertificateFactorySpi

    java.lang.Object
      |
      +--java.security.cert.CertificateFactorySpi

Direct Known Subclasses:
  JDKX509CertificateFactory

public abstract class CertificateFactorySpi
extends java.lang.Object

Constructor Summary
`CertificateFactorySpi()`

Method Summary
`abstract Certificate` | `engineGenerateCertificate(java.io.InputStream inStream)`
`abstract Collection` | `engineGenerateCertificates(java.io.InputStream inStream)`
`abstract CertPath` | `engineGenerateCertPath(java.io.InputStream inStream)` Generates a `CertPath` object and initializes it with the data read from the `InputStream` inStream.
`abstract CertPath` | `engineGenerateCertPath(java.io.InputStream inStream, java.lang.String encoding)` Generates a `CertPath` object and initializes it with the data read from the `InputStream` inStream.
`abstract CertPath` | `engineGenerateCertPath(List certificates)` Generates a `CertPath` object and initializes it with a `List` of `Certificate`s. The certificates supplied must be of a type supported by the `CertificateFactory`.
`abstract CRL` | `engineGenerateCRL(java.io.InputStream inStream)`
`abstract Collection` | `engineGenerateCRLs(java.io.InputStream inStream)`
`abstract Iterator` | `engineGetCertPathEncodings()` Returns an iteration of the `CertPath` encodings supported by this certificate factory, with the default encoding first.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertificateFactorySpi

    public CertificateFactorySpi()

Method Detail

### engineGenerateCRL

    public abstract CRL engineGenerateCRL(java.io.InputStream inStream)
                                   throws CRLException

    `CRLException`

### engineGenerateCRLs

    public abstract Collection engineGenerateCRLs(java.io.InputStream inStream)
                                           throws CRLException

    `CRLException`

### engineGenerateCertificate

    public abstract Certificate engineGenerateCertificate(java.io.InputStream inStream)
                                                   throws CertificateException

    `CertificateException`

### engineGenerateCertificates

    public abstract Collection engineGenerateCertificates(java.io.InputStream inStream)
                                                   throws CertificateException

    `CertificateException`

### engineGetCertPathEncodings

    public abstract Iterator engineGetCertPathEncodings()

  Returns an iteration of the `CertPath` encodings supported by this certificate factory, with the default encoding first. See Appendix A in the Java Certification Path API Programmer's Guide for information about standard encoding names.
  Attempts to modify the returned `Iterator` via its `remove` method result in an `UnsupportedOperationException`.
  This method was added to version 1.4 of the Java 2 Platform Standard Edition. In order to maintain backwards compatibility with existing service providers, this method cannot be `abstract` and by default throws an `UnsupportedOperationException`.

  Returns:
    an `Iterator` over the names of the supported `CertPath` encodings (as `String`s)
  Throws:
    `UnsupportedOperationException` - if the method is not supported

### engineGenerateCertPath

    public abstract CertPath engineGenerateCertPath(java.io.InputStream inStream)
                                             throws CertificateException

  Generates a `CertPath` object and initializes it with the data read from the `InputStream` inStream. The data is assumed to be in the default encoding.

  Parameters:
    `inStream` - an `InputStream` containing the data
  Returns:
    a `CertPath` initialized with the data from the `InputStream`
  Throws:
    `CertificateException` - if an exception occurs while decoding

### engineGenerateCertPath

    public abstract CertPath engineGenerateCertPath(java.io.InputStream inStream,
                                                    java.lang.String encoding)
                                             throws CertificateException

  Generates a `CertPath` object and initializes it with the data read from the `InputStream` inStream. The data is assumed to be in the specified encoding.
  This method was added to version 1.4 of the Java 2 Platform Standard Edition. In order to maintain backwards compatibility with existing service providers, this method cannot be `abstract` and by default throws an `UnsupportedOperationException`.

  Parameters:
    `inStream` - an `InputStream` containing the data
    `encoding` - the encoding used for the data
  Returns:
    a `CertPath` initialized with the data from the `InputStream`
  Throws:
    `CertificateException` - if an exception occurs while decoding or the encoding requested is not supported
    `UnsupportedOperationException` - if the method is not supported

### engineGenerateCertPath

    public abstract CertPath engineGenerateCertPath(List certificates)
                                             throws CertificateException

  Generates a `CertPath` object and initializes it with a `List` of `Certificate`s.
  The certificates supplied must be of a type supported by the `CertificateFactory`. They will be copied out of the supplied `List` object.
  This method was added to version 1.4 of the Java 2 Platform Standard Edition. In order to maintain backwards compatibility with existing service providers, this method cannot be `abstract` and by default throws an `UnsupportedOperationException`.

  Parameters:
    `certificates` - a `List` of `Certificate`s
  Returns:
    a `CertPath` initialized with the supplied list of certificates
  Throws:
    `CertificateException` - if an exception occurs
    `UnsupportedOperationException` - if the method is not supported

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD